Package wx :: Package py :: Module frame :: Class Frame

[frames | no frames]

## Type Frame

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
            TopLevelWindow --+
                             |
                         Frame --+
                                 |
                                Frame

Known Subclasses:
  `CrustFrame`, `EditorFrame`, `ShellFrame`

Frame with standard menu items.

Method Summary
| ``__init__`(self, parent, id, title, pos, size, style)` Create a Frame instance.
| ``LoadSettings`(self, config)` Called by derived classes to load settings specific to the Frame
| ``OnAbout`(self, event)` Display an About window.
| ``OnActivate`(self, event)` Event Handler for losing the focus of the Frame.
| `OnAutoCompleteDouble(self, event)`
| `OnAutoCompleteMagic(self, event)`
| `OnAutoCompleteShow(self, event)`
| `OnAutoCompleteSingle(self, event)`
| `OnAutoSaveSettings(self, event)`
| `OnCallTipsInsert(self, event)`
| `OnCallTipsShow(self, event)`
| `OnClear(self, event)`
| `OnClearHistory(self, event)`
| ``OnClose`(self, event)` Event handler for closing.
| `OnCopy(self, event)`
| `OnCopyPlus(self, event)`
| `OnCut(self, event)`
| `OnDelSettingsFile(self, event)`
| `OnEditStartupScript(self, event)`
| `OnEmptyBuffer(self, event)`
| `OnExecStartupScript(self, event)`
| `OnExit(self, event)`
| `OnFileClose(self, event)`
| `OnFileNew(self, event)`
| `OnFileOpen(self, event)`
| `OnFilePrint(self, event)`
| `OnFileRevert(self, event)`
| `OnFileSave(self, event)`
| `OnFileSaveAs(self, event)`
| `OnFileUpdateNamespace(self, event)`
| `OnFindClose(self, event)`
| `OnFindNext(self, event)`
| `OnFindText(self, event)`
| ``OnHelp`(self, event)` Display a Help window.
| ``OnIconize`(self, event)` Event handler for Iconize.
| `OnPaste(self, event)`
| `OnPastePlus(self, event)`
| `OnRedo(self, event)`
| `OnSaveHistory(self, event)`
| `OnSaveHistoryNow(self, event)`
| `OnSaveSettings(self, event)`
| `OnSelectAll(self, event)`
| `OnShowLineNumbers(self, event)`
| `OnToggleMaximize(self, event)`
| `OnToggleTools(self, event)`
| `OnUndo(self, event)`
| ``OnUpdateMenu`(self, event)` Update menu items based on current status and context.
| `OnUseAA(self, event)`
| `OnWrap(self, event)`
| ``SaveSettings`(self, config)` Called by derived classes to save Frame settings to a wx.Config object

Property Summary

Class Variable Summary
`str` | `revision` = `'1.12.2.1'`

Instance Method Details

### __init__(self, parent=None, id=-1, title='Editor', pos=wx.Point(-1, -1), size=wx.Size(-1, -1), style=541072960)
(Constructor)

Create a Frame instance.

  Overrides:
    `wx.Frame.__init__`

### LoadSettings(self, config)

Called by derived classes to load settings specific to the Frame

### OnAbout(self, event)

Display an About window.

### OnActivate(self, event)

Event Handler for losing the focus of the Frame. Should close Autocomplete listbox, if shown.

### OnClose(self, event)

Event handler for closing.

### OnHelp(self, event)

Display a Help window.

### OnIconize(self, event)

Event handler for Iconize.

### OnUpdateMenu(self, event)

Update menu items based on current status and context.

### SaveSettings(self, config)

Called by derived classes to save Frame settings to a wx.Config object

Class Variable Details

### revision

  Type:
    `str`
  Value:

        '1.12.2.1'

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:12:12 2007 | http://epydoc.sf.net